Subject: Re: [PATCH kernel v8 08/31] vfio: powerpc/spapr: Rework groups attaching

From: David Gibson <[email-masked]>
Date: Wed, 15 Apr 2015 17:14:55 +1000

On Fri, Apr 10, 2015 at 04:30:50PM +1000, Alexey Kardashevskiy wrote:
> This is to make extended ownership and multiple groups support patches
> simpler for review.
> 
> This is a mechanical patch.

I think you're pushing the meaning of that term.  Moving whole slabs
of code by copy/paste I'd call mechanical.  Reworking logic in this
way, not so much.  Say "This should cause no behavioural change" if
that's what you mean.

> Signed-off-by: Alexey Kardashevskiy <[email-masked]>

Though it's not instantly obvious, it does look as though it makes no
behavioural change though, so:

Reviewed-by: David Gibson <[email-masked]>

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson